Subject: Re: [PATCH 7/8] diff.h: extend "flags" field to 64 bits because we're out of bits

From: Junio C Hamano <[email-masked]>
Date: Tue, 25 Aug 2015 10:39:57 -0700

Nguyễn Thái Ngọc Duy  <[email-masked]> writes:

> I renamed both "flags" and "touched_flags" fields while making this
> patch to make sure I was aware of how these flags were manipulated
> (besides DIFF_OPT* macros). So hopefully I didn't miss anything.

It is a bad taste to use user_defined_t typedef (I think it actually
is a standard violation), isn't it?

The diff-struct is not like objects where we need million copies of
in-core while running.  What do you need many more flags for?